<?php require_once("couch/cms.php"); ?>
<cms:template title='Products Demo' clonable='1' dynamic_folders='1' has_subtemplates='1' subtpl_selector_label='Product Type' subtpl_selector_is_advanced='0'>
    <!-- common -->
    <cms:editable name='manufacturer' label='Manufacturer' type='relation' has='one' searchable='0' order='-2' orderby='page_name' order_dir='asc' create_auto='1' />
    <cms:editable name='price' label='Price' desc='number' type='text' search_type='decimal' order='-1' />

    <!-- monitors -->
    <cms:editable name='display-type' label='Display Type' type='relation' has='one' searchable='0' order='1' orderby='page_name' order_dir='asc' create_auto='1' />
    <cms:editable name='color' label='Color' type='relation' has='one' searchable='0' order='2' orderby='page_name' order_dir='asc' create_auto='1' />
    <cms:editable name='screen-size' label='Screen size, inch' desc='number' type='text' search_type='decimal' order='3' />
    <cms:editable name='refresh-rate' label='Refresh rate, Hz' desc='number' type='text' search_type='decimal' order='4' />
    <cms:editable name='widescreen' label='Widescreen' type='single_check' opt_values='Yes' search_type='integer' order='5' />
    <cms:editable name='hdmi' label='HDMI' type='single_check' opt_values='Yes' search_type='integer' order='6' />

    <!-- mobiles -->
    <cms:editable name='os' label='Operating System' type='relation' has='one' searchable='0' order='2' orderby='page_name' order_dir='asc' create_auto='1' />
    <cms:editable name='memory' label='Memory, GB' desc='number' type='text' search_type='decimal' order='3' />
    <cms:editable name='gps' label='GPS' type='single_check' opt_values='Yes' search_type='integer' order='5' />
    <cms:editable name='fm-radio' label='FM radio' type='single_check' opt_values='Yes' search_type='integer' order='6' />

    <cms:sub_template name='@common'>
        <cms:stub name='manufacturer' filter='dropdown' />
        <cms:stub name='price' filter='slider' />
    </cms:sub_template>

    <cms:sub_template name='monitors' label='Monitors'>
        <cms:stub name='display-type' filter='dropdown' />
        <cms:stub name='color' filter='dropdown' />
        <cms:stub name='screen-size' filter='slider' />
        <cms:stub name='refresh-rate' filter='slider' />
        <cms:stub name='widescreen' filter='checkbox' />
        <cms:stub name='hdmi' filter='checkbox' />
    </cms:sub_template>

    <cms:sub_template name='mobiles' label='Mobiles'>
        <cms:stub name='os' filter='dropdown' />
        <cms:stub name='color' order='-3' filter='dropdown' />
        <cms:stub name='screen-size' filter='slider' />
        <cms:stub name='memory' filter='slider' />
        <cms:stub name='gps' filter='checkbox' />
        <cms:stub name='fm-radio' filter='checkbox' />

        <cms:config_form_view>
            <cms:field 'color' label='Mobile Color' />
        </cms:config_form_view>
    </cms:sub_template>
</cms:template>

<head>
    <link href="https://code.jquery.com/ui/1.10.4/themes/ui-lightness/jquery-ui.css" rel="stylesheet">
    <link rel="stylesheet" href="<cms:show k_admin_link />addons/bootstrap-grid/theme/grid12.css?v=20220611" type="text/css" media="screen"/>
    <script src="https://code.jquery.com/jquery-1.10.2.js"></script>
    <script src="https://code.jquery.com/ui/1.10.4/jquery-ui.js"></script>
    <style>
        body, html{
            font-family: Verdana, Geneva, sans-serif;
        }

        .filter-wrapper{ margin-bottom: 10px; }
        .filter-wrapper.active select{ background-color:red; }
        .slider-ui{ width:200px; }
        .filter-wrapper.checkbox{ margin-bottom: 5px; }

        div.pagination {
            padding: 3px;
            margin: 3px;
        }

        div.pagination a {
            padding: 2px 5px 2px 5px;
            margin: 2px;
            border: 1px solid #AAAADD;
            zoom: 100%;
            text-decoration: none; /* no underline */
            color: #000099;
        }
        div.pagination a:hover, div.pagination a:active {
            border: 1px solid #000099;

            color: #000;
        }
        div.pagination span.page_current {
            padding: 2px 5px 2px 5px;
            margin: 2px;
            border: 1px solid #000099;

            * zoom: 100%;

            font-weight: bold;
            background-color: #000099;
            color: #FFF;
        }
        div.pagination span.page_disabled {
            padding: 2px 5px 2px 5px;
            margin: 2px;
            border: 1px solid #EEE;

            * zoom: 100%;

            color: #DDD;
        }

        * span.elipsis {zoom:100%}

        .card {
            width: 168px;
            float: left;
            margin: 0 13px 15px 0;
            padding: 0;
            display: inline;
            border: 1px solid rgba(0,0,0,0.2);
            min-height: 183px;
        }

        .card h3 {
            margin: 0 0 6px 0;
            padding: 7px 4px 0 4px;
            font-size: 12px;
            font-weight: normal;
            height: 36px;
            display: block;
            text-align: center;
            position: relative;
            overflow: hidden;
        }

        select{
            font-size: 12px;
            border: 1px solid rgba(0,0,0,0.2);
            width: 200px;
        }

        label{
            background: none;
            margin: 0;
            padding: 0;
            clear: both;
            display: block;
            width: 200px;
            float: none;
            font-size: 12px;
            font-weight: normal;
        }
        .filter-wrapper.slider label{
            margin-bottom: 4px;
        }

        .buttonset{
            margin-top: 20px;
        }
        li.current a{ font-weight:bold; color:red; }

    </style>
</head>

<h1>Products</h1>
<cms:if k_is_folder><cms:set my_current_folder=k_folder_name /></cms:if>
<ul>
    <cms:folders>
        <li class="<cms:if k_folder_name eq my_current_folder>current</cms:if>"><a href="<cms:show k_folder_link />"><cms:show k_folder_title /></a><cms:if k_folder_name eq my_current_folder> *</cms:if></li>
    </cms:folders>
</ul>

<cms:if k_is_folder>
    <cms:process_filters folder=k_folder_name with_count='1'/>

    <cms:show st_filters_str /><br>

    <hr>
    <div class="container">
        <div class="row">

            <!-- pages listing -->
            <div class="col-md-8">
                <cms:pages folder=st_filters_folder include_subfolders=st_include_subfolders orderby='price' order='asc' custom_field=st_filters_str paginate='1' limit='24'>
                    <cms:if k_paginated_top>
                        <div style="float:clear; margin:20px 0;">
                            <b>
                            <cms:show k_total_records /> Products Found.
                            Displaying: <cms:show k_record_from />-<cms:show k_record_to />
                            <cms:if k_paginator_required >
                                (Page <cms:show k_current_page /> of <cms:show k_total_pages />)
                            </cms:if>
                            </b>
                        </div>
                    </cms:if>

                    <div class="card">
                        <h3><cms:excerpt count='37' truncate_chars='1'><cms:show k_page_title /></cms:excerpt></h3>
                        <img src="#" alt="image">
                    </div>

                    <cms:no_results>
                        <h4>No Products Found</h4>
                    </cms:no_results>

                    <cms:paginator />
                </cms:pages>
            </div>

            <!-- layered navigation -->
            <div class="col-md-4">
                <cms:form name="quicksearch" id="quicksearch" anchor='0'>

                    <cms:each st_filter_fields as='field'>
                        <cms:if field.filter_type eq 'dropdown'>
                            <div class="filter-wrapper<cms:if field.is_active> active</cms:if>">
                                <cms:input onchange='my_submit()' type='dropdown'
                                    opt_values="<cms:show field.label /> (all)=- | <cms:show field.options_str />"
                                    opt_selected=field.selected
                                    name=field.name id=field.name
                                    "<cms:show field.is_disabled />"
                                />
                            </div>
                         </cms:if>
                    </cms:each>

                    <cms:each st_filter_fields as='field'>
                        <cms:if field.filter_type eq 'slider'>
                            <div class="filter-wrapper slider">
                                <cms:if field.count>
                                    <script>
                                        $(function(){
                                            var range = <cms:show field.opt_values />;

                                            /* following values are all indices into range */
                                            var min = 0;
                                            var max = range.length - 1;
                                            var val0 = <cms:show field.val0 />;
                                            var val1 = <cms:show field.val1 />;

                                            $("#slider-<cms:show field.name />").slider({
                                                range:true,
                                                min: min,
                                                max: max,
                                                values: [val0, val1],
                                                slide: function(event, ui){
                                                    var value = (ui.values[0]==min && ui.values[1]==max) ? '' : range[ui.values[0]] + "," + range[ui.values[1]];
                                                    $("#<cms:show field.name />").val(value);
                                                    $("#lbl_<cms:show field.name />").text(range[ui.values[0]] + " - " + range[ui.values[1]]);
                                                },
                                                stop: function(event, ui){
                                                    my_submit();
                                                }
                                            });
                                            $("#<cms:show field.name />").val((val0==min && val1==max) ? '' : range[val0] + ',' + range[val1]);
                                            $("#lbl_<cms:show field.name />").text(range[val0] + " - " + range[val1]);
                                        });
                                    </script>
                                    <div>
                                        <label for="<cms:show field.name />"><cms:show field.label />: <span id="lbl_<cms:show field.name />"></span></label>
                                        <input type="hidden" id="<cms:show field.name />" name="<cms:show field.name />">
                                    </div>
                                    <div id="slider-<cms:show field.name />" class="slider-ui"></div>
                                </cms:if>
                            </div>
                         </cms:if>
                    </cms:each>

                    <cms:each st_filter_fields as='field'>
                        <cms:if field.filter_type eq 'checkbox'>
                            <div class="filter-wrapper checkbox">
                                <cms:input onchange='my_submit()' type='single_check' name=field.name label=field.label opt_values=field.options_str "<cms:show field.is_disabled />" />
                            </div>
                         </cms:if>
                    </cms:each>

                    <div class="buttonset">
		                <cms:ignore><input type="submit" class="fbsubmitbtn" value="Start Searching!" name="submit"/></cms:ignore>
		                <a href="<cms:show k_page_link />">Clear filters</a>
	                </div>
                </cms:form>
            </div>
        </div>
    </div>

    <script>
        function my_submit(){
            var formData=$('#quicksearch').serialize();
            var params = {};
            var rPlus = /\+/g;

            $.each( formData.split( "&" ), function( index, field ) {
                var current = field.split( "=" );
                var name = decodeURIComponent( current[ 0 ].replace( rPlus, "%20" ) );
                var value = decodeURIComponent( current[ 1 ].replace( rPlus, "%20" ) );
                if( value!='' && value!='-' ){
                    params[name] = value;
                }
            });
            formData = jQuery.param( params );

            var fullUrl = '<cms:show k_page_link />';
            var finalUrl = fullUrl+"<cms:if k_prettyurls >?<cms:else />&</cms:if>"+formData;
            window.location.href = finalUrl;
        }
    </script>
</cms:if>
<?php COUCH::invoke(); ?>
